import { Observable } from 'rxjs/Rx';
import { ApiRoot } from 'dotcms-js/dotcms-js';
import { ServerSideTypeModel } from './ServerSideFieldModel';
import { Http } from '@angular/http';
import { ConditionGroupModel, ConditionModel, ICondition } from './Rule';
import { LoggerService } from 'dotcms-js/dotcms-js';
export declare class ConditionService {
    private loggerService;
    private _apiRoot;
    private _http;
    private _baseUrl;
    static toJson(condition: ConditionModel): any;
    static fromServerConditionTransformFn(condition: ICondition): ConditionModel;
    constructor(apiRoot: ApiRoot, http: Http, loggerService: LoggerService);
    makeRequest(childPath: string): Observable<any>;
    listForGroup(group: ConditionGroupModel, conditionTypes?: {
        [key: string]: ServerSideTypeModel;
    }): Observable<ConditionModel[]>;
    get(conditionId: string, conditionTypes?: {
        [key: string]: ServerSideTypeModel;
    }): Observable<ConditionModel>;
    add(groupId: string, model: ConditionModel): Observable<any>;
    save(groupId: string, model: ConditionModel): Observable<ConditionModel>;
    remove(model: ConditionModel): Observable<ConditionModel>;
    private _catchRequestError(operation);
}
